Package com.complexible.stardog.rdf4j

# Class StardogRepository

java.lang.Object
org.eclipse.rdf4j.repository.base.AbstractRepository
com.complexible.stardog.rdf4j.StardogRepository

All Implemented Interfaces:
  `org.eclipse.rdf4j.repository.Repository`

public final class StardogRepository extends org.eclipse.rdf4j.repository.base.AbstractRepository

Implementation of a Stardog-based rdf4j Repository.

Since:
  5.0.2
Version:
  5.0.2
Author:
  Michael Grove

- ## Field Summary

  ### Fields inherited from class org.eclipse.rdf4j.repository.base.AbstractRepository

  `logger`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StardogRepository(ConnectionConfiguration theConfig)`
  Create a new StardogRepository
  `StardogRepository(String theConnectionString)`
  Create a new StardogRepository

- ## Method Summary

  Modifier and Type
  Method
  Description
  `StardogRepositoryConnection`
  `getConnection()`
  `File`
  `getDataDir()`
  `org.eclipse.rdf4j.model.ValueFactory`
  `getValueFactory()`
  `protected void`
  `initializeInternal()`
  `boolean`
  `isWritable()`
  Returns true.
  `void`
  `setDataDir(File theFile)`
  `protected void`
  `shutDownInternal()`

  ### Methods inherited from class org.eclipse.rdf4j.repository.base.AbstractRepository

  `init, initialize, isInitialized, shutDown`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StardogRepository

    public StardogRepository(String theConnectionString)
    Create a new StardogRepository
    Parameters:
      `theConnectionString` - the connection string

  - ### StardogRepository

    public StardogRepository(ConnectionConfiguration theConfig)
    Create a new StardogRepository
    Parameters:
      `theConfig` - the configuration

- ## Method Details

  - ### setDataDir

    public void setDataDir(File theFile)
    Throws:
      `UnsupportedOperationException` - This method always throws this exception because the nominal data dir for the database backing this Repository is on a remote machine and as such, this invocation is not relevant.

  - ### getDataDir

    public File getDataDir()
    Throws:
      `UnsupportedOperationException` - This method always throws this exception because the nominal data dir for the database backing this Repository is on a remote machine and as such, this invocation is not relevant.

  - ### isWritable

    public boolean isWritable() throws org.eclipse.rdf4j.repository.RepositoryException
    Returns true. Connections are presumed to be writable since this is the default setup for a Stardog database and there is no way to explicitly know w/o trying to do a write.
    Throws:
      `org.eclipse.rdf4j.repository.RepositoryException`

  - ### getConnection

    public StardogRepositoryConnection getConnection() throws org.eclipse.rdf4j.repository.RepositoryException
    Throws:
      `org.eclipse.rdf4j.repository.RepositoryException`

  - ### getValueFactory

    public org.eclipse.rdf4j.model.ValueFactory getValueFactory()

  - ### initializeInternal

    protected void initializeInternal() throws org.eclipse.rdf4j.repository.RepositoryException
    Specified by:
      `initializeInternal` in class `org.eclipse.rdf4j.repository.base.AbstractRepository`
    Throws:
      `org.eclipse.rdf4j.repository.RepositoryException`

  - ### shutDownInternal

    protected void shutDownInternal() throws org.eclipse.rdf4j.repository.RepositoryException
    Specified by:
      `shutDownInternal` in class `org.eclipse.rdf4j.repository.base.AbstractRepository`
    Throws:
      `org.eclipse.rdf4j.repository.RepositoryException`